Name:           rutgers-centos-release
Version:        7
Release:        1.ru7
Summary:        Rutgers CentOS Repository Configuration
Group:          System Environment/Base
License:        BSD
URL:            http://rpm.rutgers.edu
Source0:        CentOS-Rutgers.repo
Source1:        CentOS-Base.repo.rutgers-mirror-example
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       centos-release >= 7

%description
This package contains the repo configuration for the Rutgers CentOS mirrors.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# Yum .repo files
%{__install} -p -m644 %{SOURCE0} %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/yum.repos.d/*

%changelog
* Mon Jun 27 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 7-1.ru7
- Updated for CentOS7

* Wed Sep 28 2011 Jarek Sedlacek <jare@nbcs.rutgers.edu> - 6-4.ru
- Added Continuous Release (CR) repository to CentOS-Base.repo.rutgers-mirror-example
- Disable addons repo (doesn't exist in centos 6)

* Fri Sep 09 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> - 6-2.ru
- Using correct centos signing key for 6

* Tue Jul 12 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> - 6-1
- Bumping to 6

* Fri Dec 10 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 5-3
- Add and enable the debuginfo repo in the example Base config file

* Mon Nov 29 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 5-2
- Add a CentOS-Base.repo.rutgers-mirror-example file for using
  Rutgers mirrors for Centos repositories.

* Fri Sep 03 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 5-1
- Re-version to 5 so that we match with CentOS release numbers.

* Thu Sep 02 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 1.0-4
- Directory structure change

* Fri Mar 19 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 1.0-3
- Add rutgers-testing repo

* Mon Feb 22 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 1.0-2
- Fix requires

* Thu Jul 23 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 1.0-1
- Initial build
